LLINES(1)

NAME
llexec

SYNOPSIS
llexec [OPTION]...
llexec [OPTIONS]... -x report Database

DESCRIPTION

Invokes the LifeLines genealogy program, execute one report (with the -x switch), then exit.

For up to date documentation, please see the LifeLines reference manual, or visit the project site online at: http://lifelines.sourceforge.net

llexec is a rustic version of the Lifelines software, basically without curses interface. It is mainly designed for CGI use. For interactive use, please use the llines(1) program.

OPTIONS

-x report
    execute the report program from the file named "report"

-F  Finnish option (only available if compiled with Finnish flag)

-d  developmental/debug mode (signals are not caught)

-f  force open a database (only for use if reader/writer count is wrong)

-i  open database with immutable access (no protection against other access -- for use on read-only media)

-k  always show key values (normally key is not shown if a REFN is shown)

-r  open database with read-only access (protect against other writer access)

-u COLS,ROWS
    specify window size (eg, -u120,34 specifies 120 columns by 34 rows)

-w  open database with writeable access (protecte against other reader or writer access)

-?  display options summary

SEE ALSO

llines(1), btedit(1), dbverify(1)

DOCUMENTATION
The LifeLines documentation is generated as part of the installation, and may also be viewed at the project site: http://lifelines.sourceforge.net.